package org.icann.tld;

import junit.framework.TestCase;

import java.io.*;

import org.apache.commons.io.*;

public class TldVerifyTest extends TestCase {

    public void testRefreshTldDB() throws Exception {
        new TldVerify().refreshTldDB("testDB.txt");
        File file = new File("testDB.txt");
        assertTrue(file.exists());
        String s = FileUtils.readFileToString(file, null);
        assertTrue(s.indexOf("AERO")> -1);
    }

    public void testVerifyTldOffline() throws Exception {
        TldVerify tldVerify = new TldVerify();
        assertTrue(tldVerify.verifyTldOffline("AERO."));
        assertTrue(tldVerify.verifyTldOffline("AERO", "testDB.txt"));
        assertFalse(tldVerify.verifyTldOffline("sss"));
        assertTrue(tldVerify.verifyTldOffline(".AERO."));
    }

    public void testVerifyTld() throws Exception {
        TldVerify tldVerify = new TldVerify();
        assertTrue(tldVerify.verifyTld("AERO."));
        assertTrue(tldVerify.verifyTld("AERO"));
        assertTrue(tldVerify.verifyTld("ICANN.ORG"));
        assertTrue(tldVerify.verifyTld("icann.org"));
        assertFalse(tldVerify.verifyTld("SS"));
    }


}
